SDL_GetNumHapticAxes(3)

NAME
SDL_GetNumHapticAxes - Get the number of haptic axes the device has.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetNumHapticAxes(SDL_Haptic *haptic);

DESCRIPTION
The number of haptic axes might be useful if working with the SDL_HapticDirection
 effect.

FUNCTION PARAMETERS

haptic
    the SDL_Haptic
     device to query

RETURN VALUE
Returns the number of axes on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.